> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voyantcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Person

> Update fields on an existing person.

## Method

`PATCH` `/v1/people/:id`

## Path Parameters

<ParamField path="id" type="string" required>Person ID</ParamField>

## Body Parameters

<ParamField path="firstName" type="string">Given name</ParamField>
<ParamField path="lastName" type="string">Family name</ParamField>
<ParamField path="emails" type="string[]">Email addresses</ParamField>
<ParamField path="phones" type="string[]">Phone numbers</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH https://api.voyantcloud.com/v1/people/p_123 \
    -H "Authorization: Bearer $VOYANT_API_KEY" \
    -H "content-type: application/json" \
    -d '{ "firstName": "Ana-Maria" }'
  ```

  ```javascript Node.js theme={null}
  await fetch("https://api.voyantcloud.com/v1/people/p_123", {
    method: "PATCH",
    headers: { Authorization: `Bearer ${process.env.VOYANT_API_KEY!}`, "content-type": "application/json" },
    body: JSON.stringify({ firstName: "Ana-Maria" }),
  })
  ```

  ```python Python theme={null}
  import os, requests
  requests.patch("https://api.voyantcloud.com/v1/people/p_123", headers={"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}", "content-type":"application/json"}, json={"firstName":"Ana-Maria"})
  ```
</RequestExample>

## Headers

<ParamField header="Authorization" type="string" required>Bearer token (e.g. <code>Authorization: Bearer YOUR\_API\_KEY</code>)</ParamField>
<ParamField header="content-type" type="string">application/json</ParamField>

<ResponseExample>
  ```json 200 OK theme={null}
  { "id": "p_123", "firstName": "Ana-Maria" }
  ```
</ResponseExample>
